import * as $dara from '@darabonba/typescript';
import { ReportInstancesStatusResponseBody } from "./ReportInstancesStatusResponseBody";
export declare class ReportInstancesStatusResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ReportInstancesStatusResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
